package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客群圈选分群对象 sys_group
 *
 * @author ruoyi
 * @date 2024-09-11
 */
public class SysGroupVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 分群名称
     */
    @Excel(name = "分群名称")
    private String groupName;

    /**
     * 创建方式
     */
    @Excel(name = "创建方式")
    private String createType;

    /**
     * 客户数
     */
    @Excel(name = "客户数")
    private Long customerNum;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * 更新方式
     */
    @Excel(name = "更新方式")
    private String updateType;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标志(0代表存在，2代表删除)
     */
    private String delFlag;

    /**
     * 创建标志(0推荐给我的，1我创建的)
     */
    private String groupType;

    /**
     * 分群id
     */
    private String groupId;

    /**
     * 更新方式
     */
    @Excel(name = "客户类型")
    private String custType;

    /**
     * 活动创建角色，0总行管理员，1支行管理员
     */
    private String createRole;
    @Excel(name = "活动id")
    private String campaignId;

    /**
     *活动是否二次推送过，0未推送，1已推送
     */
    private String secondPushStatus;

    private String checkType;

    private String roleType;

    public String getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(String campaignId) {
        this.campaignId = campaignId;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setCreateType(String createType) {
        this.createType = createType;
    }

    public String getCreateType() {
        return createType;
    }

    public void setCustomerNum(Long customerNum) {
        this.customerNum = customerNum;
    }

    public Long getCustomerNum() {
        return customerNum;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }

    public String getUpdateType() {
        return updateType;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }


    public String getSecondPushStatus() {
        return secondPushStatus;
    }

    public void setSecondPushStatus(String secondPushStatus) {
        this.secondPushStatus = secondPushStatus;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("groupName", getGroupName())
                .append("createType", getCreateType())
                .append("customerNum", getCustomerNum())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("updateType", getUpdateType())
                .append("status", getStatus())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag()).append("groupType", getGroupType())
                .append("groupId", getGroupId()).append("custType", getCustType())
                .append("createRole", getCreateRole()).append("campaignId", getCampaignId()).append("secondPushStatus",getSecondPushStatus())
                .toString();
    }
}
